Subject: Re: [PATCH v1 1/3] replace: add --graft option

From: Junio C Hamano <[email-masked]>
Date: Fri, 23 May 2014 14:22:14 -0700

Jeff King <[email-masked]> writes:

> On Fri, May 23, 2014 at 01:05:40PM -0700, Junio C Hamano wrote:
>
>> I just read read_graft_line(); it allows an empty line (both
>> length-0 before the terminating LF or CRLF, and a line with
>> isspace() only) and ignore them, so "grep '^[^#]'" is not
>> sufficient.
>
> Thanks, I missed the space trimming. I think:
>
>   grep '^[^# \t]'
>
> would be enough, though I am not sure that "\t" is portable over a raw
> tab.

Perhaps.  That would filter out an empty line as well, which would
be good.

>> Perhaps a more future-proof way to write Christian's code may be:
>> ...
>> which may not be too bad.
>
> Sounds familiar:
>
>   http://article.gmane.org/gmane.comp.version-control.git/249575

Yup, instead of having to memmove() repeatedly, copying into it
while skipping 'parent ' lines may be better.